I cant install luci Archer AX10

Hi, I am a newbie with open wrt. I flashed open wrt on my router (TP-Link Archer AX10), but it doesnt have luci installed. I tried to install it with ssh but it doesn't work. Even opkg update doesn't work. It says operation not permitted. What can I do? I think it can be because I have static IP from my ISP and I can't use internet until I set it. But I can't set it because I don't have luci and I cant install luci.

In fact OpenWRT default ip address is 192.168.1.1, try the ports one after another to ssh to openwrt. When you connected vi /etc/config/network there you set up lan and wan. esc :wq brings you out of vi, with shift + r you can write. Afterwards reload network with /etc/init.d/network restart

Use ssh and vi to modify /etc/config/network
It will have a wan section looking like

config interface 'wan'
        option device 'wan'
        option proto 'dhcp'

change it into something like this

config interface 'wan'
        option device 'wan'
        option proto 'static'
        option ipaddr 'aa.bb.cc.dd'
        option netmask '255.255.xx.yy'

After that do
service network restart
And you have internet access

Do I also need to change default gateway and primary and secondary DNS if I have them from my ISP?

If it's static, you need to add all values yourself.

so how should I edit this

    config interface 'wan'
    option device 'wan'
    option proto 'dhcp'

If I have also default gateway, primary and secondary dns?
now I have:
config interface 'wan'
option device 'wan'
option proto 'static'
option ipaddr 'xx.xx.xx.xxx'
option netmask 'xxx.xxx.xxx.xxx'

and I need to add default gateway and primary DNS and secondary DNS

Take a look here

Sorry to sound out of topic but is this supported?

I hope so, I downloaded snapshot

Could you post the full link please?

ok Im stupid and i downloaded wrong fimware :skull:
https://openwrt.org/toh/tp-link/archer_ax23_v1
My ax10 prolly doesn't even support openwrt

Thanks for confirming my asumption.
No worries you can probably revert to stock firmware via tftp

1 Like

sorry for bothering but I have a question, Im considering buying a new router, and I want to install luci-sqm. But I dont know if 8mb flash is enough for it?

No support for 8 MB FLASH / 64 MB RAM devices in modern (18.06 and later) OpenWrt.

That's not true, 8/64 devices are however discouraged, and will be out of support after the upcoming release.

You probably mean 4/32 devices.

so buying router with 8mb flash is not worth it? Can you recomend some cheap router please? Can it run luci-sqm?

There are many. A good place to look is in the hardware subsection.

Most will run it. As long as there is enough flash memory and ram, you can install it. However, it is very cpu intensive if you’re talking about any reasonably fast isp speed plans (say >100Mbps) so cheap and sqm are usually not a good combination.

1 Like

ax10 (bcm6750) and ax23 (mt7621a) have nothing in common, it's safe to assume that the ax10 will never be supported (Broadcom SOC and -wireless).

1 Like